---
title: "Searches Purchase Order Items by Purchase Order id and other parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-purchaseorders-id-purchaseorderitems"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Searches Purchase Order Items by Purchase Order id and other parameters

`GET` `/purchaseorders/{id}/purchaseorderitems`

Operation ID: `get-purchaseorders-id-purchaseorderitems`

Searches Purchase Order Items by Purchase Order id and other parameters

## Path parameters

- `id` (integer, int32, required) - Purchase Order id

## Query parameters

- `filter_by` (string, optional) - Filter by. Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size mapped to value name, colour mapped to value name, brand mapped to value name, season mapped to value name, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, supplier_buy_ex, total_supplier_buy_ex, attribute, supplier_id, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer. In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: quantity_on_order:eq:2, attribute:101:isnotnull, attribute:101:eq:Custom Attribute Value 123
- `order_by` (string, optional) - Order by. Available field name values: quantity_on_order, quantity_received, quantity_ordered, quantity_received_variance, quantity_cancelled, variance_reason_id, po_item_id, product_id, supplier_sku, supplier_sku2, manufacturer_sku, short_description, length, breadth, depth, cubic, total_cubic, carton_quantity, weight, total_weight, rrp_inc, sell_price_inc, product_type, size, colour, custom1, custom2, custom3, gross_profit, mark_up, quantity_available, quantity_special_order, quantity_remaining, total_supplier_buy_ex, brand, season, attribute, supplier_code, supplier_name, attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc, pricing_promotional_price_inc, pricing_promotional_price_start, pricing_promotional_price_end, is_linked_to_transfer. Available direction values: asc, desc. Example: quantity_received_variance asc, quantity_on_order desc, attribute:101
- `select` (string, optional) - Select fields. Available field name values: id, po_id, quantity_remaining, quantity_ordered, quantity_received, quantity_cancelled, quantity_special_order, quantity_back_order, quantity_received_variance, supplier_buy_ex, product_id, product_supplier_buy_ex. Example: id
- `page_number` (integer, int32, optional)
- `page_size` (integer, int32, optional)

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Purchase Order Items data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /purchaseorders/{id}/purchaseorderitems:
    get:
      tags:
        - purchaseorders
      summary: Searches Purchase Order Items by Purchase Order id and other parameters
      description: Searches Purchase Order Items by Purchase Order id and other parameters
      operationId: get-purchaseorders-id-purchaseorderitems
      parameters:
        - name: id
          in: path
          description: Purchase Order id
          required: true
          schema:
            type: integer
            description: Purchase Order id
            format: int32
        - name: filter_by
          in: query
          description: "Filter by. \r

            Available field name values: quantity_on_order, quantity_received,
            quantity_ordered, quantity_received_variance, quantity_cancelled,
            variance_reason_id, po_item_id, product_id, supplier_sku,
            supplier_sku2, manufacturer_sku, short_description, length, breadth,
            depth, cubic, total_cubic, carton_quantity, weight, total_weight,
            rrp_inc, sell_price_inc, product_type, size mapped to value name,
            colour mapped to value name, brand mapped to value name, season
            mapped to value name, custom1, custom2, custom3, gross_profit,
            mark_up, quantity_available, quantity_special_order,
            quantity_remaining, supplier_buy_ex, total_supplier_buy_ex,
            attribute, supplier_id, supplier_code, supplier_name, attribute:Id,
            msl, modified_on, created_on, pricing_sell_price_inc,
            pricing_promotional_price_inc, pricing_promotional_price_start,
            pricing_promotional_price_end, is_linked_to_transfer.\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example: quantity_on_order:eq:2, attribute:101:isnotnull,
            attribute:101:eq:Custom Attribute Value 123"
          schema:
            type: string
            description: "Filter by. \r

              Available field name values: quantity_on_order, quantity_received,
              quantity_ordered, quantity_received_variance, quantity_cancelled,
              variance_reason_id, po_item_id, product_id, supplier_sku,
              supplier_sku2, manufacturer_sku, short_description, length,
              breadth, depth, cubic, total_cubic, carton_quantity, weight,
              total_weight, rrp_inc, sell_price_inc, product_type, size mapped
              to value name, colour mapped to value name, brand mapped to value
              name, season mapped to value name, custom1, custom2, custom3,
              gross_profit, mark_up, quantity_available, quantity_special_order,
              quantity_remaining, supplier_buy_ex, total_supplier_buy_ex,
              attribute, supplier_id, supplier_code, supplier_name,
              attribute:Id, msl, modified_on, created_on,
              pricing_sell_price_inc, pricing_promotional_price_inc,
              pricing_promotional_price_start, pricing_promotional_price_end,
              is_linked_to_transfer.\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example: quantity_on_order:eq:2, attribute:101:isnotnull,
              attribute:101:eq:Custom Attribute Value 123"
            nullable: true
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: quantity_on_order, quantity_received,
            quantity_ordered, quantity_received_variance, quantity_cancelled,
            variance_reason_id, po_item_id, product_id, supplier_sku,
            supplier_sku2, manufacturer_sku, short_description, length, breadth,
            depth, cubic, total_cubic, carton_quantity, weight, total_weight,
            rrp_inc, sell_price_inc, product_type, size, colour, custom1,
            custom2, custom3, gross_profit, mark_up, quantity_available,
            quantity_special_order, quantity_remaining, total_supplier_buy_ex,
            brand, season, attribute, supplier_code, supplier_name,
            attribute:Id, msl, modified_on, created_on, pricing_sell_price_inc,
            pricing_promotional_price_inc, pricing_promotional_price_start,
            pricing_promotional_price_end, is_linked_to_transfer.\r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: quantity_received_variance asc, quantity_on_order desc,
            attribute:101"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: quantity_on_order, quantity_received,
              quantity_ordered, quantity_received_variance, quantity_cancelled,
              variance_reason_id, po_item_id, product_id, supplier_sku,
              supplier_sku2, manufacturer_sku, short_description, length,
              breadth, depth, cubic, total_cubic, carton_quantity, weight,
              total_weight, rrp_inc, sell_price_inc, product_type, size, colour,
              custom1, custom2, custom3, gross_profit, mark_up,
              quantity_available, quantity_special_order, quantity_remaining,
              total_supplier_buy_ex, brand, season, attribute, supplier_code,
              supplier_name, attribute:Id, msl, modified_on, created_on,
              pricing_sell_price_inc, pricing_promotional_price_inc,
              pricing_promotional_price_start, pricing_promotional_price_end,
              is_linked_to_transfer.\r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: quantity_received_variance asc, quantity_on_order desc,
              attribute:101"
            nullable: true
        - name: select
          in: query
          description: "Select fields.\r

            \r

            Available field name values: id, po_id, quantity_remaining,
            quantity_ordered, quantity_received, quantity_cancelled,
            quantity_special_order, quantity_back_order,
            quantity_received_variance, supplier_buy_ex, product_id,
            product_supplier_buy_ex.\r

            \r

            Example: id"
          schema:
            type: string
            description: "Select fields.\r

              \r

              Available field name values: id, po_id, quantity_remaining,
              quantity_ordered, quantity_received, quantity_cancelled,
              quantity_special_order, quantity_back_order,
              quantity_received_variance, supplier_buy_ex, product_id,
              product_supplier_buy_ex.\r

              \r

              Example: id"
            nullable: true
        - name: page_number
          in: query
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Purchase Order Items data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PurchaseOrderItem.PagingResponse"
              example:
                data:
                  - po_id: 0
                    po_item_id: 0
                    product:
                      carton_quantity: string
                      cogs_ex: 0
                      cubic: 0
                      direct_costs_ex: 0
                      prevent_disabling: true
                      promotional_price_inc: 0
                      promotional_price_expiry: string
                      freight_inc: 0
                      price_ex: 0
                      rrp_inc: 0
                      sell_price_inc: 0
                      web_price_inc: 0
                      markup_target: 0
                      breadth: 0
                      core_product: true
                      custom_properties:
                        - name: string
                          value: string
                      depth: 0
                      disabled: true
                      id: 0
                      lead_time: 0
                      length: 0
                      loyalty_ratio: 0
                      manufacturer_sku: string
                      product_type:
                        id: 0
                        name: string
                        modified_on: string
                      requires_assembly: true
                      shipping_cubic: 0
                      short_description: string
                      supplier:
                        id: 0
                        supplier_code: string
                        name: string
                        is_enabled: true
                        modified_on: string
                      supplier_buy_ex: 0
                      supplier_sku: string
                      supplier_sku2: string
                      weight: 0
                      buy_price_ex: 0
                      long_description: string
                      voucher_product: true
                      max_discount_rule:
                        id: 0
                        name: string
                        value: 0
                        type: string
                        modified_on: string
                      replenishment_method:
                        id: 0
                        code: string
                        name: string
                      attributes:
                        - id: 0
                          name: string
                          type: string
                          modified_on: string
                          value:
                            id: 0
                            name: string
                            list_order: 0
                      created_on: string
                      modified_on: string
                      inventory:
                        - outlet:
                            id: 0
                            name: string
                            modified_on: string
                          quantity_available: 0
                          quantity_on_order: 0
                      sales_channels:
                        - id: 0
                          name: string
                          shopify_channel: true
                          source_group:
                            id: 0
                            name: string
                          enabled: true
                      export_to_web: true
                      package: true
                      has_package_products: true
                      last_sold_on: string
                      require_serial_number: 0
                      last_fulfiled_on: string
                      external_links:
                        - id: 0
                          name: string
                          url: string
                      fixed_price_groups:
                        - id: 0
                          name: string
                          sell_price_inc: 0
                          modified_on: string
                      price_groups:
                        - id: 0
                          name: string
                          sell_price_inc: 0
                          web_price_inc: 0
                          modified_on: string
                    pricing:
                      product_id: 0
                      outlet_id: 0
                      sell_price_inc: 0
                      promotional_price_inc: 0
                      promotional_price_start: string
                      promotional_price_end: string
                      taxable: true
                    quantity_ordered: 0
                    quantity_special_order: 0
                    quantity_back_order: 0
                    quantity_received: 0
                    quantity_received_variance: 0
                    quantity_cancelled: 0
                    quantity_remaining: 0
                    variance_reason:
                      id: 0
                      name: string
                    inventory:
                      outlet:
                        id: 0
                        name: string
                      quantity_available: 0
                      quantity_on_order: 0
                      msl: 0
                    supplier_buy_ex: 0
                    total_weight: 0
                    total_cubic: 0
                    gross_profit: 0
                    mark_up: 0
                    total_supplier_buy_ex: 0
                    is_linked_to_transfer: true
                    modified_on: string
                    created_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    PurchaseOrderItem.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/PurchaseOrderItem"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    PurchaseOrderItem:
      title: ""
      type: object
      properties:
        po_id:
          type: integer
          description: Purchase Order entity Id
          format: int32
        po_item_id:
          type: integer
          description: Id of Purchase Order Item
          format: int32
          nullable: true
        product:
          $ref: "#/components/schemas/Product"
        pricing:
          $ref: "#/components/schemas/ProductPricingLimited"
        quantity_ordered:
          type: integer
          description: Quantity ordered
          format: int32
        quantity_special_order:
          type: integer
          description: Quantity special order
          format: int32
        quantity_back_order:
          type: integer
          description: Quantity back order
          format: int32
        quantity_received:
          type: integer
          description: Quantity received
          format: int32
        quantity_received_variance:
          type: integer
          description: Quantity received variance
          format: int32
          nullable: true
        quantity_cancelled:
          type: integer
          description: Quantity Cancelled
          format: int32
          nullable: true
        quantity_remaining:
          type: integer
          description: Quantity Remaining
          format: int32
          nullable: true
        variance_reason:
          $ref: "#/components/schemas/PurchaseOrderItemVarianceReason"
        inventory:
          $ref: "#/components/schemas/PurchaseOrderItemInventory"
        supplier_buy_ex:
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        total_weight:
          type: number
          description: Total weight
          format: double
        total_cubic:
          type: number
          description: Total cubic
          format: double
        gross_profit:
          type: number
          description: Gross profit
          format: double
        mark_up:
          type: number
          description: Mark Up
          format: double
        total_supplier_buy_ex:
          type: number
          description: Total supplier buy ex
          format: double
        is_linked_to_transfer:
          type: boolean
          description: Is Linked to ITO flag
        modified_on:
          type: string
          description: Last Modified On date
          format: date-time
          nullable: true
        created_on:
          type: string
          description: Created On date
          format: date-time
          nullable: true
      additionalProperties: false
      description: Purchase Order Item
    Product:
      title: ""
      type: object
      properties:
        carton_quantity:
          type: string
          description: Carton quantity
          nullable: true
        cogs_ex:
          type: number
          description: Cogs ex
          format: double
        cubic:
          type: number
          description: Cubic
          format: double
        direct_costs_ex:
          type: number
          description: Direct costs
          format: double
          nullable: true
        prevent_disabling:
          type: boolean
          description: Is product disabled
          nullable: true
        promotional_price_inc:
          type: number
          description: Discount price
          format: double
          nullable: true
        promotional_price_expiry:
          type: string
          description: Discount price expiry
          format: date-time
          nullable: true
        freight_inc:
          type: number
          description: Freight inc
          format: double
          nullable: true
        price_ex:
          type: number
          description: Price ex
          format: double
          nullable: true
        rrp_inc:
          type: number
          description: Rpr inc
          format: double
          nullable: true
        sell_price_inc:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Sell Price, cannot be used along with markup_target
          format: double
          nullable: true
        web_price_inc:
          type: number
          description: Web price
          format: double
          nullable: true
        markup_target:
          type: number
          description: Markup Target %, cannot be used along with sell_price_inc
          format: double
          nullable: true
        breadth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Breadth
          format: double
          nullable: true
        core_product:
          type: boolean
          description: Is core product flag
        custom_properties:
          type: array
          items:
            $ref: "#/components/schemas/CustomProperty"
          description: List of custom properties
          nullable: true
        depth:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Depth
          format: double
          nullable: true
        disabled:
          type: boolean
          description: Disabled
          nullable: true
        id:
          type: integer
          description: Product id.
          format: int32
          nullable: true
        lead_time:
          type: integer
          description: Lead time
          format: int32
          nullable: true
        length:
          maximum: 9999.9999
          minimum: -9999.9999
          type: number
          description: Length
          format: double
          nullable: true
        loyalty_ratio:
          type: number
          description: Loyalty Ratio
          format: double
          nullable: true
        manufacturer_sku:
          type: string
          description: Manufacture SKU
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        requires_assembly:
          type: boolean
          description: Requires Assembly
        shipping_cubic:
          maximum: 999999.9999
          minimum: -999999.9999
          type: number
          description: Shipping Cubic
          format: double
          nullable: true
        short_description:
          type: string
          description: Product description.
          nullable: true
        supplier:
          $ref: "#/components/schemas/SupplierLimited"
        supplier_buy_ex:
          maximum: 922337203685477.6
          minimum: -922337203685477.6
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        supplier_sku:
          type: string
          description: Supplier SKU.
          nullable: true
        supplier_sku2:
          type: string
          description: Supplier SKU2.
          nullable: true
        weight:
          maximum: 99999999.9999
          minimum: -99999999.9999
          type: number
          description: Weight
          format: double
          nullable: true
        buy_price_ex:
          type: number
          description: Buy price ex
          format: double
          nullable: true
        long_description:
          type: string
          description: Long description
          nullable: true
        voucher_product:
          type: boolean
          description: Voucher product
        max_discount_rule:
          $ref: "#/components/schemas/MaxDiscountRule"
        replenishment_method:
          $ref: "#/components/schemas/ProductReplenishmentMethod"
        attributes:
          type: array
          items:
            $ref: "#/components/schemas/Attribute"
          description: Product attributes
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        inventory:
          type: array
          items:
            $ref: "#/components/schemas/ProductInventory"
          description: Inventory
          nullable: true
        sales_channels:
          type: array
          items:
            $ref: "#/components/schemas/ProductSalesChannelVM"
          description: Product Sales Chanels
          nullable: true
        export_to_web:
          type: boolean
          description: Export To Web
          nullable: true
        package:
          type: boolean
          description: Package
        has_package_products:
          type: boolean
          description: Has Package Products
        last_sold_on:
          type: string
          description: Last Processed Sold
          format: date-time
          nullable: true
        require_serial_number:
          type: integer
          description: Require SerialNumber
          format: int32
        last_fulfiled_on:
          type: string
          description: Last Fulfiled
          format: date-time
          nullable: true
        external_links:
          type: array
          items:
            $ref: "#/components/schemas/ProductExternalLinks"
          description: Product External Links.
          nullable: true
        fixed_price_groups:
          type: array
          items:
            $ref: "#/components/schemas/ProductFixedPriceGroupVM"
          description: Product Fixed Price Groups
          nullable: true
        price_groups:
          type: array
          items:
            $ref: "#/components/schemas/ProductPriceGroupVM"
          description: Product Standart Price Groups
          nullable: true
      additionalProperties: false
      description: Product Model
    ProductPricingLimited:
      title: ""
      type: object
      properties:
        product_id:
          type: integer
          description: Product Id
          format: int32
        outlet_id:
          type: integer
          description: Outlet Id
          format: int32
        sell_price_inc:
          type: number
          description: Sell Price (Inc Tax)
          format: double
          nullable: true
        promotional_price_inc:
          type: number
          description: Promotional Price (Inc Tax)
          format: double
          nullable: true
        promotional_price_start:
          type: string
          description: Promotional Price Start
          format: date-time
          nullable: true
        promotional_price_end:
          type: string
          description: Promotional Price End
          format: date-time
          nullable: true
        taxable:
          type: boolean
          description: Is taxable
      additionalProperties: false
    PurchaseOrderItemVarianceReason:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Variance Reason Id
          format: int32
          nullable: true
        name:
          type: string
          description: Name
          nullable: true
      additionalProperties: false
      description: Purchase Order Item Variance Reason
    PurchaseOrderItemInventory:
      title: ""
      type: object
      properties:
        outlet:
          $ref: "#/components/schemas/OutletLimited"
        quantity_available:
          type: integer
          description: Quantity Available
          format: int32
          nullable: true
        quantity_on_order:
          type: integer
          description: Quantity on order
          format: int32
        msl:
          type: integer
          description: MSL
          format: int32
      additionalProperties: false
      description: Purchase Order Item Inventory
    CustomProperty:
      title: ""
      type: object
      properties:
        name:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
      description: Custom Property Model
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    SupplierLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Supplier Id
          format: int32
          nullable: true
        supplier_code:
          maxLength: 20
          minLength: 0
          type: string
          description: Supplier Code
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier Name
          nullable: true
        is_enabled:
          type: boolean
          description: Is enabled flag
        modified_on:
          type: string
          description: Modified On
          format: date-time
      additionalProperties: false
    MaxDiscountRule:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Max Discount Rule Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: Max Discount Rule name.
          nullable: true
        value:
          type: number
          description: Max Discount Rule value.
          format: double
        type:
          type: string
          description: Discount Type.
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Max Discount Rule Model
    ProductReplenishmentMethod:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product Replenishment Method Id.
          format: int32
          nullable: true
        code:
          type: string
          description: Product Replenishment Method code.
          nullable: true
        name:
          type: string
          description: Product Replenishment Method name.
          nullable: true
      additionalProperties: false
    Attribute:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Name
          nullable: true
        type:
          type: string
          description: Attribute Type
          nullable: true
          readOnly: true
        modified_on:
          type: string
          format: date-time
          nullable: true
        value:
          $ref: "#/components/schemas/AttributeValueLimited"
      additionalProperties: false
    ProductInventory:
      title: ""
      type: object
      properties:
        outlet:
          $ref: "#/components/schemas/ProductInventoryOutlet"
        quantity_available:
          type: integer
          description: Available Quantity
          format: int32
        quantity_on_order:
          type: integer
          description: On-order Quantity
          format: int32
      additionalProperties: false
      description: Product Inventory Model
    ProductSalesChannelVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Channel Id.
          format: int32
        name:
          type: string
          description: Channel Name.
          nullable: true
        shopify_channel:
          type: boolean
          description: Shopify Channel.
        source_group:
          $ref: "#/components/schemas/SourceGroupVM"
        enabled:
          type: boolean
          description: Enabled.
      additionalProperties: false
    ProductExternalLinks:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
        name:
          type: string
          nullable: true
        url:
          type: string
          nullable: true
      additionalProperties: false
      description: Product External Links
    ProductFixedPriceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fixed Price Group Id.
          format: int32
        name:
          type: string
          description: Fixed Price Group Name.
          nullable: true
        sell_price_inc:
          type: number
          description: Fixed Price Group Price.
          format: double
          nullable: true
        modified_on:
          type: string
          description: Fixed Price Group Modified On.
          format: date-time
          nullable: true
      additionalProperties: false
    ProductPriceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Identifier
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        sell_price_inc:
          type: number
          description: Calculated POS Price
          format: double
        web_price_inc:
          type: number
          description: Calculated Web Price
          format: double
        modified_on:
          type: string
          format: date-time
      additionalProperties: false
    OutletLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
      additionalProperties: false
    AttributeValueLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Attribute Value Id
          format: int32
          nullable: true
        name:
          type: string
          description: Attribute Value Name
          nullable: true
        list_order:
          type: integer
          description: Attribute Value List Order
          format: int32
          nullable: true
      additionalProperties: false
    ProductInventoryOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet Id
          format: int32
        name:
          type: string
          description: Name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
      additionalProperties: false
      description: Product Inventory Outlet Model
    SourceGroupVM:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Source Group Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Source Group Name.
          nullable: true
      additionalProperties: false
```
